# Liveness Module

## Description
The Liveness module monitors the availability of different environments and provides notifications and logs about outages and recovery events.

## Requirements
- Drupal 10 or 11
- Drush

## Installation
1. Place the module in the `modules/custom` directory.
2. Enable the module: `drush en liveness`
3. Configure the module settings at `/admin/config/system/liveness`.

## Configuration
- Set the URLs for the environments and enable/disable probing.
- Enter email addresses for notifications.

## Drush Commands
- `drush liveness:check` - Check the liveness of configured environments and merge logs.

## Crontab Setup
Add a crontab entry to invoke Drupal cron and Drush liveness check periodically.

